// LVector.cpp: implementation of the LVector class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "LVector.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

LVector::LVector()
{
	LVector(0, 0, 0);
}

LVector::LVector(double a1, double a2, double a3)
{
	e1 = a1;
	e2 = a2;
	e3 = a3;
}


LVector::~LVector()
{

}

LVector LVector::Add(LVector vec)
{
	LVector res;

	res.e1 = this->e1 + vec.e1;
	res.e2 = this->e2 + vec.e2;
	res.e3 = this->e3 + vec.e3;

	return(res);
}

LVector LVector::Multiply(double scalar)
{
	LVector res;

	res.e1 = this->e1*scalar;
	res.e2 = this->e2*scalar;
	res.e3 = this->e3*scalar;

	return(res);
}
