// LVector.h: doubleerface for the LVector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LVECTOR_H__37F6C126_EFA7_11D4_A835_00500446BEC4__INCLUDED_)
#define AFX_LVECTOR_H__37F6C126_EFA7_11D4_A835_00500446BEC4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class LVector  
{
public:
	LVector();
	LVector(double a1, double a2, double a3);
	virtual ~LVector();

	virtual LVector Add(LVector vec);
	virtual LVector Multiply(double scalar);

public:
	double e1;		//x - coordinate
	double e2;		//y - coordinate
	double e3;		//z - coordinate
};

#endif // !defined(AFX_LVECTOR_H__37F6C126_EFA7_11D4_A835_00500446BEC4__INCLUDED_)
