// MainDlg.h: interface for the MainDlg class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINDLG_H__37F6C129_EFA7_11D4_A835_00500446BEC4__INCLUDED_)
#define AFX_MAINDLG_H__37F6C129_EFA7_11D4_A835_00500446BEC4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MainWindow.h"
#include "resource.h"

class MainDlg : public CDialogImpl<MainDlg>
{
public:
	enum {IDD = IDD_LSYSDLG};

public:
	BEGIN_MSG_MAP(MainDlg)
		COMMAND_ID_HANDLER(IDC_BTNGENERATE, onGenerateTree)
		COMMAND_ID_HANDLER(IDC_BTNEXIT, onExit)
		MESSAGE_HANDLER(WM_INITDIALOG, onInitDialog)
		MESSAGE_HANDLER(WM_DESTROY, onDestroy)
		MESSAGE_HANDLER(WM_CLOSE, onClose)
	END_MSG_MAP()

public:
	MainDlg();
	virtual ~MainDlg();

protected:
	virtual LRESULT onGenerateTree(WORD, WORD, HWND, BOOL & bHandled);
	virtual LRESULT onExit(WORD, WORD, HWND, BOOL & bHandled);
	virtual LRESULT onInitDialog(UINT xuInt, WPARAM xwParam, LPARAM xlParam, BOOL & bHandled);
	virtual LRESULT onClose(UINT xuInt, WPARAM xwParam, LPARAM xlParam, BOOL & bHandled);
	virtual LRESULT onDestroy(UINT xuInt, WPARAM xwParam, LPARAM xlParam, BOOL & bHandled);

protected:
	CMainWindow m_wndTree;
};

#endif // !defined(AFX_MAINDLG_H__37F6C129_EFA7_11D4_A835_00500446BEC4__INCLUDED_)
