// TransMatrix.h: doubleerface for the TransMatrix class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRANSMATRIX_H__37F6C125_EFA7_11D4_A835_00500446BEC4__INCLUDED_)
#define AFX_TRANSMATRIX_H__37F6C125_EFA7_11D4_A835_00500446BEC4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "LVector.h"

class TransMatrix  
{
public:
	TransMatrix();
	TransMatrix(double a11,	double a12,	double a13,
				double a21,	double a22,	double a23,
				double a31,	double a32,	double a33);
	virtual ~TransMatrix();

	virtual TransMatrix Multiply(TransMatrix m);
	virtual LVector Multiply(LVector vec);
	virtual TransMatrix Multiply(double scalar);

public:
	//first index is row, the second one is column
	double e11;	double e12;	double e13;
	double e21;	double e22;	double e23;
	double e31;	double e32;	double e33;
};

#endif // !defined(AFX_TRANSMATRIX_H__37F6C125_EFA7_11D4_A835_00500446BEC4__INCLUDED_)
