// MainWindow.h: interface for the CMainWindow class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINWINDOW_H__37F6C123_EFA7_11D4_A835_00500446BEC4__INCLUDED_)
#define AFX_MAINWINDOW_H__37F6C123_EFA7_11D4_A835_00500446BEC4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "StdAfx.h"
#include "LTree.h"

class CMainWindow : public CWindowImpl<CMainWindow>
{
public:
	//DECLARE_WND_SUPERCLASS(_T("CMainWindow"), _T("static"));
	BEGIN_MSG_MAP(CMainWindow)
		//MESSAGE_HANDLER(WM_PAINT, onEraseBack)
		MESSAGE_HANDLER(WM_DESTROY, onDestroy)
	END_MSG_MAP()

public:
	CMainWindow();
	~CMainWindow();
	virtual void SetParameters(HDC hDc, int maxXY, int maxYZ, int maxXZ, double scaleFac, int cntL, int SX, int SY, int SZ, int FX, int FY, int FZ, int cntLevels);
	virtual void GenerateNewTree();

protected:
	//virtual LRESULT onPaint(UINT xuInt, WPARAM xwParam, LPARAM xlParam, BOOL & bHandled);
	virtual LRESULT onDestroy(UINT xuInt, WPARAM xwParam, LPARAM xlParam, BOOL & bHandled);

	HDC hDc; 
	int maxXY; 
	int maxYZ; 
	int maxXZ; 
	double scaleFac; 
	int cntL; 
	int SX; 
	int SY; 
	int SZ; 
	int FX; 
	int FY; 
	int FZ;
	int levelCount;

	bool drawing;
};

#endif // !defined(AFX_MAINWINDOW_H__37F6C123_EFA7_11D4_A835_00500446BEC4__INCLUDED_)
